body {
  background: #181818;
  font-family: "Roboto", sans-serif;
  margin: auto;
  color: white;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}
*,
*,
:before,
*,
:after {
  box-sizing: border-box;
}

.container {
  width: 100%;
  max-width: 1000px;
  display: flex;
  margin: auto;
  position: relative;
}
.sidebar {
  width: 100%;
  max-width: 300px;
  float: left;
  position: relative;
}
.dmitry__img {
  width: 100px;
  height: 100px;
  left: 100px;
  top: 130px;
  position: absolute;
}

.sidebar__img {
  width: 100%;
  max-width: 300px;
  float: left;
  display: flex;
  height: 180px;
  margin-bottom: 69px;
}
.main {
  width: 300px;
}
.home_countainer {
  margin-bottom: 17px;
}

.icon_instagram {
  height: 25px;
}
.icon_instagram::after {
  content: url(/img/instagram.svg);
}
.icon_vk {
  height: 25px;
}
.icon_vk::after {
  content: url(/img/vk\ 1.svg);
}
.icon_pinterest {
  height: 25px;
}
.icon_pinterest::after {
  content: url(/img/pinterest\ 1.svg);
}

.name__text {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  text-align: center;
  color: #ffffff;
  margin-bottom: 3px;
}
.explanation__text {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 14px;
  line-height: 16px;
  text-align: center;
  color: #dedede;
}
.social__sidebar {
  width: 105px;
  display: flex;
  justify-content: space-between;
  margin: auto;
  margin-bottom: 60px;
}

.description__dmitry {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
  text-align: center;
  margin: 0px 20px;
  margin-bottom: 60px;
}
.contacts__container {
  display: flex;
  justify-content: space-between;
  padding-left: 25px;
  padding-right: 15px;
}
.works__contacts {
  background: #ed3024;
  box-shadow: 0px 7px 17px -10px rgba(242, 63, 63, 0.2);
  border-radius: 25px;
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 14px;
  text-align: center;
  color: #ffffff;
  text-decoration: none;
  width: 120px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 13px 25px;
}
.write__contacts {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 14px;
  text-align: center;
  color: #ffffff;
  text-decoration: none;
  background: #3137c9;
  box-shadow: 0px 7px 17px -10px rgba(32, 84, 219, 0.35);
  border-radius: 25px;
  width: 120px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 13px 20px;

}
header {
  display: flex;
  align-items: center;
  height: 40px;
  background: #0d0d0d;
  width: 100%;
}
.nav {
  display: flex;
  width: 100%;
  height: 40px;
  justify-content: space-between;
}
.nav__link {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 11px;
  line-height: 13px;
  padding-top: 14px;
  padding-left: 15px;
  padding-right: 15px;
  color: #ffffff;
  text-decoration: none;
}
.activnav__link {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 11px;
  line-height: 13px;
  padding: 15px;
  color: #ffffff;
  text-decoration: none;
}
.activnav__container {
  width: 100%;
  max-width: 86px;
  height: 40px;
  display: flex;
  align-items: center;
  position: relative;
  padding: 15px;
  padding-bottom: 13px;
}
.activnav__container:hover {
  background: #3137c9;
}
.activnav__container:hover .sibnav {
  position: absolute;
  top: 40px;
  background: #3137c9;
  display: flex;
  width: 165px;
  left: 0px;
  flex-direction: column;
  padding: 12px 10px;
  z-index: 1;
}
.activnav__container:hover .nav__img {
  transform: rotate(180deg);
}

input {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: rgba(255, 255, 255, 0.4);
  align-items: center;
  border: none;
  padding-left: 20px;
  outline: none;
  background: #202020;
  box-shadow: -7px 1px 10px rgba(0, 0, 0, 0.3);
}

.left__nav {
  display: flex;
  width: 100%;
}
.rigth__nav {
  display: flex;
}
.sibnav__link {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #ffffff;
  margin-bottom: 10px;
}
.sibnav__link:last-child {
  margin-bottom: 0px;
}
.sibnav {
  display: none;
}
.nav__img {
  width: 10px;
  height: 6px;
  margin-left: 8px;
}

.content__conteiner {
  padding: 60px 50px 80px;
}
.content__conteiner > div {
  margin-bottom: 30px;
}
.stories__container {
  display: flex;
  justify-content: space-between;
}

.text__story {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #ffffff;
  position: absolute;
  left: 12px;
  top: 16px;
  max-width: 110px;
}
.data__story {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #ffffff;
  position: absolute;
  right: 16px;
  bottom: 12px;
}
.story {
  position: relative;
  max-width: 140px;
  max-height: 195px;
}
.story__img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}
.main__content {
  width: 100%;
}
.post__container {
  background: #202020;
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.35);
  border-radius: 5px;
  padding: 25px 28px;
}
.default__text {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
  color: #d2d2d2;
}
.post__text {
  margin-bottom: 5px;
}

.post__data {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #828282;
}

.post__input {
  width: 100%;
  padding: 28px;
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 18px;
  color: #d2d2d2;
  background: #121212;
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.45);
  border-radius: 5px;
}
.post__input::placeholder {
  color: #d2d2d2;
}
.new__post {
  position: relative;
}
.post__btn {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  border: none;
  position: absolute;
  top: calc(50% - 22px);
  display: flex;
  justify-content: center;
  align-items: center;
}
.icon__arrow::after {
  content: url(/img/Vector2.svg);
  height: 17px;
}
.icon__camera::after {
  content: url(/img/Vector1.svg);
  height: 22px;
}
.icon__arrow {
  background: #3137c9;
  right: 20px;
}
.icon__camera {
  background: #ebebeb;
  right: 79px;
}

.link__container {
  background: #202020;
  box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.35);
  border-radius: 5px;
}
.container__text {
  padding: 25px 25px;
}
.default__heading {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
  color: #ffffff;
}
.heading__link {
  margin-bottom: 15px;
}
.article__text {
  margin-bottom: 21px;
}
.default__linkcontainer {
  display: flex;
  justify-content: space-between;
}
.default__postlink {
  display: flex;
  align-items: center;
}
.text__link {
  font-family: "Lato", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #828282;
}
.data__ellipse {
  width: 6px;
  height: 6px;
  background: #c4c4c4;
  border-radius: 50%;
  margin-right: 15px;
}
.data__link {
  margin-right: 15px;
}
.default__link {
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  text-align: right;
  color: #107eff;
  text-decoration: none;
}
.notebook__img {
  padding-bottom: 25px;
  height: 280px;
  width: 550px;
  border-radius: 5px;
  object-fit: cover;
}

.img__link {
  object-fit: cover;
  height: 245px;
  width: 600px;
}
.frontend__img {
  object-fit: cover;
  height: 283px;
  width: 600px;
}
.notebook__text {
  margin-bottom: 19px;
}
.pagination_section {
  display: flex;
  justify-content: center;
  margin-top: 80px;
}
.pagination__main {
  width: 40px;
  height: 40px;
  background: #0d0d0d;
  border: none;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.15);
  border-radius: 3px;
  margin: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #ffffff;
  text-decoration: none;
}
.pagination__main:hover {
  background: #ba0621;
  box-shadow: 0px 0px 10px rgba(58, 108, 234, 0.15);
  border-radius: 3px;
  border: none;
}
.active {
  background: #104be3;
  box-shadow: 0px 0px 10px rgba(58, 108, 234, 0.15);
  border-radius: 3px;
  border: none;
}
